> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create phone

> create a mobile phone



## OpenAPI

````yaml post /open/api/phone/create
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/phone/create:
    post:
      tags: []
      summary: Create phone
      description: create a mobile phone
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneCreateReqVOCreate'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RListPhoneInfoResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    PhoneCreateReqVOCreate:
      type: object
      properties:
        spuId:
          type: integer
          description: phone spuId, obtain through `Get product list` api
          format: int64
        skuId:
          type: integer
          description: phone skuId, obtain through `Get product list` api
          format: int64
        num:
          type: integer
          description: Purchase quantity of mobile phones, minimum value is 1
          minimum: 1
        realResolution:
          type: boolean
          description: whether to use the actual device resolution
        brand:
          type: string
          description: brand name, obtain through `Get list brand` API
        width:
          type: integer
          description: >-
            resolution width, If you fill in the brand name, it must be
            consistent with the value returned by the `Get list brand` API.
        height:
          type: integer
          description: >-
            resolution height, If you fill in the brand name, it must be
            consistent with the value returned by the `Get list brand` API.
        phoneNumber:
          type: string
          description: phone number, Set the mobile phone number stored within the device
        configId:
          type: integer
          description: >-
            phone model id, Create the corresponding model of mobile phone based
            on the id obtain through `Get the list of models` api
          format: int64
        autoInstallFlag:
          type: integer
          description: 'auto install flag: 0=close,1=open'
          default: 0
        groupId:
          type: integer
          description: 分组ID，不传则为未分组
          format: int64
        remark:
          type: string
          description: 备注，最多200字符
        tagIds:
          type: array
          items:
            type: integer
          description: 标签ID列表，最多5个
      required:
        - spuId
        - skuId
        - num
    RListPhoneInfoResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          type: array
          items:
            $ref: '#/components/schemas/PhoneInfoResVO'
            description: PhoneInfoResVO
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    PhoneInfoResVO:
      type: object
      properties:
        id:
          type: integer
          description: 手机ID
          format: int64
        name:
          type: string
          description: 手机名称
        code:
          type: string
          description: 手机编码，业务侧自定义

````